from numpy import loadtxt
from scipy.constants import c, au
from math import cos, radians
from sunpy.sun import mean_ecliptic_longitude

my_file = loadtxt("AAVSO_JD.dat")
JD = my_file[:,0]
MAG = my_file[:,2]
ERR = my_file[:,3]

BETA = radians(57 + 39 / 60 + 17.6 / 3600)
LAMBDA = radians(315 + 52 / 60 + 1.4 / 3600)

HJD, cor = [], []
for i in range(len(JD)):
	cor.append(au / 3600 / 24 / c * cos(BETA) * cos(LAMBDA - radians(mean_ecliptic_longitude((JD[i] - 2450083.808) * 3600 * 24).value)))
	HJD.append(JD[i] - cor[i])

with open("AAVSO_HJD.dat", "w") as file:
	file.write("#HJD  V_MAG  ERR\n")
	for i in range(len(HJD)):
		file.write(str(round(HJD[i], 6)) + ' ' + str(round(MAG[i], 3)) + ' ' + str(round(ERR[i], 3)) + '\n')
