from numpy import loadtxt
import matplotlib.pyplot as plt
from astropy.io import fits

file = fits.open("OMC.fits")
hjd = file[1].data["BARYTIME"]
exptime = file[1].data["EXPOSURE"]
telapse = file[1].data["TELAPSE"]
v_mag = file[1].data["MAG_V"]
err = file[1].data["ERRMAG_V"]
file.close()

TJD = 2451544.6
hjd = hjd + TJD

with open("OMC_HJD.dat", "w") as file:
	file.write("#BarryJD V_MAG ERR\n")
	for i in range(len(hjd)):
		if 12 < v_mag[i] < 20:
			file.write(str(round(hjd[i] + (exptime[i] / 2 + telapse[i]) / 3600 / 24, 5)) + " " + str(round(v_mag[i], 3)) + " " + str(round(err[i], 3)) + "\n") 
