import matplotlib.pyplot as plt
from numpy import loadtxt, std, mean, sqrt
from scipy.constants import c

def spektra(filename):
	file = loadtxt(filename)
	cor = 6200
	if filename[0:2] == "28":
		cor = 6800
	lam_0, lam_5, lam_11 = file[:,0], file[:,1], file[:,2]
	lam_0 += cor
	lam_5 += cor
	lam_11 += cor

	d_lam_5 = lam_0 - lam_5
	d_lam_11 = lam_0 - lam_11
	v_5 = (d_lam_5 / lam_0) * c / 1000
	v_11 = (d_lam_11 / lam_0) * c / 1000

	print("{0:.3f} $\pm$ {1:.3f}, {2:.3f} $\pm$ {3:.3f}".format(mean(v_5), std(v_5) / sqrt(len(v_5)), mean(v_11), std(v_11) / sqrt(len(v_11))))

	with open(filename[:2] + "_out.txt", "w") as file:
		file.write("$\lambda_0$ & $\lambda_5$ & $\lambda_11$ & $v_5$ & $v_{11}$\\\ \n")
		for i, j, k, l, m in zip(lam_0, lam_5, lam_11, v_5, v_11):
			file.write("{0:.3f} & {1:.3f} & {2:.3f} & {3:.3f} & {4:.3f}\\\ [0.5mm]\n".format(i, j, k, l, m))

spektra("25.txt")
spektra("28.txt")
